phy_find_valid
Prev | PHY Support | Next

## Name

phy_find_valid — find a PHY setting that matches the requested features mask

## Synopsis

`int phy_find_valid (` | int | idx,
| u32 | features`)`;

## Arguments

`idx`

  The first index in settings[] to search

`features`

  A mask of the valid settings

## Description

Returns the index of the first valid setting less than or equal to the one pointed to by idx, as determined by the mask in features. Returns the index of the last setting if nothing else matches.

Prev | Up | Next
phy_find_setting | Home | phy_start_machine